## net.sf.saxon.functions
Class UnparsedText

    java.lang.Object
      net.sf.saxon.expr.Expression
          net.sf.saxon.expr.FunctionCall
              net.sf.saxon.functions.SystemFunction
                  net.sf.saxon.functions.UnparsedText

All Implemented Interfaces:
  Serializable, SourceLocator, LocationProvider, SaxonLocator, EvaluableItem, SequenceIterable, InstructionInfo, Locator

    public class UnparsedText

extends SystemFunction

See Also:
  Serialized Form

Field Summary
`static int` `UNPARSED_TEXT`
`static int` `UNPARSED_TEXT_AVAILABLE`
`static int` `UNPARSED_TEXT_LINES`

Fields inherited from class net.sf.saxon.functions.SystemFunction
`operation`

Fields inherited from class net.sf.saxon.expr.FunctionCall
`argument`

Fields inherited from class net.sf.saxon.expr.Expression
`EVALUATE_METHOD, EVENT_FEED_METHOD, ITEM_FEED_METHOD, ITERATE_METHOD, locationId, PROCESS_METHOD, PUSH_SELECTION, staticProperties, WATCH_METHOD`

Constructor Summary
`UnparsedText()`

Method Summary
`void` `checkArguments(ExpressionVisitor visitor)` Method called during static type checking
`int` `computeSpecialProperties()` Determine the special properties of this expression.
`Item` `evaluateItem(XPathContext context)` This method handles evaluation of the function: it returns a StringValue in the case of unparsed-text(), or a BooleanValue in the case of unparsed-text-available().
`SequenceIterator` `iterate(XPathContext context)` Return an Iterator to iterate over the values of a sequence.
`static void` `main(String[] args)`
`Expression` `preEvaluate(ExpressionVisitor visitor)` preEvaluate: this method suppresses compile-time evaluation by doing nothing
`static CharSequence` `readFile(NameChecker checker, Reader reader)` Read the contents of an unparsed text file

Methods inherited from class net.sf.saxon.functions.SystemFunction
`addContextDocumentArgument, addDocToPathMap, computeCardinality, copy, getDetails, getErrorCodeForTypeErrors, getImplementationMethod, getItemType, getRequiredType, makeSystemFunction, optimize, setDetails, useContextItemAsDefault`

Methods inherited from class net.sf.saxon.expr.FunctionCall
`addExternalFunctionCallToPathMap, checkArgumentCount, equals, explain, getArguments, getDisplayName, getExpressionName, getFunctionName, getNumberOfArguments, hashCode, iterateSubExpressions, promote, replaceSubExpression, setArguments, setFunctionName, simplify, simplifyArguments, toString, typeCheck`

Methods inherited from class net.sf.saxon.expr.Expression

`addToPathMap, adoptChildExpression, checkForUpdatingSubexpressions, checkPermittedContents, computeDependencies, computeStaticProperties, doPromotion, dynamicError, effectiveBooleanValue, evaluateAsString, evaluatePendingUpdates, explain, getCardinality, getColumnNumber, getColumnNumber, getConstructType, getContainer, getDependencies, getEvaluationMethod, getExecutable, getHostLanguage, getIntrinsicDependencies, getLineNumber, getLineNumber, getLocationId, getLocationProvider, getObjectName, getProperties, getProperty, getPublicId, getSlotsUsed, getSpecialProperties, getSystemId, getSystemId, hasLoopingSubexpression, implementsStaticTypeCheck, isSubtreeExpression, isUpdatingExpression, isVacuousExpression, iterateEvents, iterateSameFocusSubExpressions, markTailFunctionCalls, process, resetLocalStaticProperties, setContainer, setEvaluationMethod, setFiltered, setFlattened, setLocationId, staticTypeCheck, suppressValidation, typeError`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### UNPARSED_TEXT

    public static final int UNPARSED_TEXT

See Also:
  Constant Field Values

### UNPARSED_TEXT_AVAILABLE

    public static final int UNPARSED_TEXT_AVAILABLE

See Also:
  Constant Field Values

### UNPARSED_TEXT_LINES

    public static final int UNPARSED_TEXT_LINES

See Also:
  Constant Field Values

Constructor Detail

### UnparsedText

    public UnparsedText()

Method Detail

### checkArguments

    public void checkArguments(ExpressionVisitor visitor)
                        throws XPathException

  Description copied from class: `SystemFunction`
  Method called during static type checking

  Overrides:
    `checkArguments` in class `SystemFunction`
  Parameters:
    `visitor` - the expression visitor
  Throws:
    `XPathException`

### preEvaluate

    public Expression preEvaluate(ExpressionVisitor visitor)

  preEvaluate: this method suppresses compile-time evaluation by doing nothing

  Overrides:
    `preEvaluate` in class `FunctionCall`
  Parameters:
    `visitor` - an expression visitor
  Returns:
    the result of the early evaluation, or the original expression, or potentially a simplified expression

### computeSpecialProperties

    public int computeSpecialProperties()

  Description copied from class: `SystemFunction`
  Determine the special properties of this expression. The general rule is that a system function call is non-creative if its return type is atomic, or if all its arguments are non-creative. This is overridden for the generate-id() function, which is considered creative if its operand is creative (because the result depends on the identity of the operand)

  Overrides:
    `computeSpecialProperties` in class `SystemFunction`
  Returns:
    the special properties, as a bit-significant integer

### evaluateItem

    public Item evaluateItem(XPathContext context)
                      throws XPathException

  This method handles evaluation of the function: it returns a StringValue in the case of unparsed-text(), or a BooleanValue in the case of unparsed-text-available(). In the case of unparsed-text-lines() this shouldn't be called, but we deal with it anyway.

  Specified by:
    `evaluateItem` in interface `EvaluableItem`
  Overrides:
    `evaluateItem` in class `Expression`
  Parameters:
    `context` - The context in which the expression is to be evaluated
  Returns:
    the node or atomic value that results from evaluating the expression; or null to indicate that the result is an empty sequence
  Throws:
    `XPathException` - if any dynamic error occurs evaluating the expression

### iterate

    public SequenceIterator iterate(XPathContext context)
                             throws XPathException

  Return an Iterator to iterate over the values of a sequence. The value of every expression can be regarded as a sequence, so this method is supported for all expressions. This default implementation handles iteration for expressions that return singleton values: for non-singleton expressions, the subclass must provide its own implementation.

  Specified by:
    `iterate` in interface `SequenceIterable`
  Overrides:
    `iterate` in class `Expression`
  Parameters:
    `context` - supplies the context for evaluation
  Returns:
    a SequenceIterator that can be used to iterate over the result of the expression
  Throws:
    `XPathException` - if any dynamic error occurs evaluating the expression

### readFile

    public static CharSequence readFile(NameChecker checker,
                                        Reader reader)
                                 throws IOException,
                                        XPathException

  Read the contents of an unparsed text file

  Parameters:
    `checker` - NameChecker for checking whether characters are valid XML characters
    `reader` - Reader to be used for reading the file
  Returns:
    a CharSequence representing the contents of the file
  Throws:
    `IOException` - if a failure occurs reading the file
    `XPathException` - if the file contains illegal characters

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.